> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Upgrade Simulations

> Batch upgrade simulations to the new storage format.

Triggers re-runs for simulations that are still in the old format (JSONB in
simulation_data table) to migrate them to the new format (parquet files in
storage).

Parameters
----------
body : BatchUpgradeRequest
    List of simulation IDs to upgrade

Returns
-------
list[BatchUpgradeResult]
    Results for each simulation upgrade attempt



## OpenAPI

````yaml https://api.ionworks.com/openapi.json post /simulations/batch-upgrade
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /simulations/batch-upgrade:
    post:
      tags:
        - Simulations
      summary: Batch Upgrade Simulations
      description: >-
        Batch upgrade simulations to the new storage format.


        Triggers re-runs for simulations that are still in the old format (JSONB
        in

        simulation_data table) to migrate them to the new format (parquet files
        in

        storage).


        Parameters

        ----------

        body : BatchUpgradeRequest
            List of simulation IDs to upgrade

        Returns

        -------

        list[BatchUpgradeResult]
            Results for each simulation upgrade attempt
      operationId: batch_upgrade_simulations_simulations_batch_upgrade_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchUpgradeRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BatchUpgradeRequest:
      properties:
        simulation_ids:
          items:
            type: string
          type: array
          title: Simulation Ids
          description: List of simulation IDs to upgrade
      type: object
      required:
        - simulation_ids
      title: BatchUpgradeRequest
      description: Request body for batch upgrade endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````